aboutsummaryrefslogtreecommitdiff
path: root/bash/bashrc.d/keep.bash
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-06-29 17:22:56 +1200
committerTom Ryder <tom@sanctum.geek.nz>2018-06-29 17:22:56 +1200
commitf1fb2e6cd9c774e8f39ab5e8f7896585a56711c2 (patch)
tree7c32d48259a5a0c9abbced54610edde8e38bc852 /bash/bashrc.d/keep.bash
parentfb6550234f50d97db4e135a64a1adceb8959574b (diff)
downloaddotfiles-f1fb2e6cd9c774e8f39ab5e8f7896585a56711c2.tar.gz
dotfiles-f1fb2e6cd9c774e8f39ab5e8f7896585a56711c2.zip
Break sh noglob guard into two lines for clarity
They're nicer to read this way.
Diffstat (limited to 'bash/bashrc.d/keep.bash')
-rw-r--r--bash/bashrc.d/keep.bash3
1 files changed, 2 insertions, 1 deletions
diff --git a/bash/bashrc.d/keep.bash b/bash/bashrc.d/keep.bash
index da7ff558..ab89288e 100644
--- a/bash/bashrc.d/keep.bash
+++ b/bash/bashrc.d/keep.bash
@@ -143,6 +143,7 @@ EOF
# Load any existing scripts in bashkeep
for bashkeep in "${BASHKEEP:-"$HOME"/.bashkeep.d}"/*.bash ; do
- [[ -e $bashkeep ]] && source "$bashkeep"
+ [[ -e $bashkeep ]] || continue
+ source "$bashkeep"
done
unset -v bashkeep